[Numpy-tickets] [NumPy] #521: add stacklevel=2 to ScipyTest DeprecationWarning

NumPy numpy-tickets@scipy....
Tue May 15 07:29:24 CDT 2007


#521: add stacklevel=2 to ScipyTest DeprecationWarning
---------------------+------------------------------------------------------
 Reporter:  mbeachy  |        Owner:  somebody
     Type:  defect   |       Status:  closed  
 Priority:  normal   |    Milestone:          
Component:  Other    |      Version:  none    
 Severity:  normal   |   Resolution:  fixed   
 Keywords:           |  
---------------------+------------------------------------------------------
Comment (by mbeachy):

 Hrm. I had looked at the head of the trunk but I guess I was looking at
 the ScipyTestCase class. I haven't seen the DeprecationWarnings from
 ScipyTestCase (the ScipyTest warnings showed up in my adventures with
 numpy 1.0.3 and scipy 0.5.2), but presumably this class should get a
 stacklevel=2, also.

-- 
Ticket URL: <http://projects.scipy.org/scipy/numpy/ticket/521#comment:2>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list